Subject: Re: [PATCH] Try 2: Allow PERL_PATH="/usr/bin/env perl"

From: Bryan Larsen <[email-masked]>
Date: Thu, 03 May 2007 23:30:27 -0400

> 
> Are they any other issues on MacOS?  For example, gitweb.cgi is
> built by replacing the shebang with $(PERL_PATH); I presume that
> you already are successfully working around the whitespace in
> the pathname with your "env perl" on MacOS?
> 

I haven't used gitweb.cgi.  All the tests run, including the 
git-send-email test.  (t4200 patch was sent a couple of days ago).  I 
know there are several people using git very successfully from MacPorts.

The biggest problem in OS X has been that the BSD versions of standard 
programs such as xargs and sed are used instead of the GNU versions. 
There are currently no problems of that sort.

cheers,
Bryan